import { StdioServerParameters } from '@modelcontextprotocol/sdk/client/stdio.js';
import { JsonSchema } from 'json-schema-to-zod';

declare class McpFunctionCallingAdapter {
    private parameters;
    private tools;
    private client;
    constructor(name: string, version: string, parameters: Record<string, StdioServerParameters>);
    startServers(): Promise<void>;
    clean(): Promise<void>;
    getTools(): {
        name: string;
        description: string | undefined;
        jsonSchema: {
            type: "object";
            properties?: Record<string, JsonSchema>;
            required?: string[];
        };
        zodSchema: string;
    }[];
    isRegisteredTool(name: string): boolean;
    executeTool(name: string, args: Record<string, unknown>): Promise<{
        _meta: unknown;
        content: unknown;
        isError: unknown;
        toolResult: unknown;
    }>;
}

export { McpFunctionCallingAdapter };
